# CLContextCallback (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLContextCallback

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opencl.CLContextCallback

All Implemented Interfaces:
  PointerWrapper

    public abstract class CLContextCallback

extends PointerWrapperAbstract

Instances of this class can be used to receive OpenCL context error notifications.

Author:
  Spasi

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Constructor Summary
`protected` `CLContextCallback()`
`protected` `CLContextCallback(long pointer)` This constructor allows non-LWJGL implementations.

Method Summary
`protected abstract void` `handleMessage(java.lang.String errinfo, java.nio.ByteBuffer private_info)` The callback method.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CLContextCallback

    protected CLContextCallback()

### CLContextCallback

    protected CLContextCallback(long pointer)

  This constructor allows non-LWJGL implementations.

  Parameters:
    `pointer` -

Method Detail

### handleMessage

    protected abstract void handleMessage(java.lang.String errinfo,
                                          java.nio.ByteBuffer private_info)

  The callback method.

  Parameters:
    `errinfo` - the error description
    `private_info` - optional error data (may be null)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.